*********************************************** syntax 3: to select variables from the grid ***********************************************
cd "FILL IN WHERE TO FIND THE FILES"

*** mother
use "SHP_MP.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen ID = IDMOTH_
keep if ID > -2
keep ID BIRTHM BIRTHY
bys ID: gen ID2 = _n
sort ID
reshape wide BIRTHM BIRTHY, i(ID) j(ID2)
gen 	Child1_BirthM	 =	BIRTHM1	
gen 	Child2_BirthM	 =	BIRTHM2	
gen 	Child3_BirthM	 =	BIRTHM3	
gen 	Child4_BirthM	 =	BIRTHM4	
gen 	Child5_BirthM	 =	BIRTHM5	
gen 	Child6_BirthM	 =	BIRTHM6	
gen 	Child7_BirthM	 =	BIRTHM7	
gen 	Child8_BirthM	 =	BIRTHM8	
gen 	Child1_BirthY	 =	BIRTHY1	
gen 	Child2_BirthY	 =	BIRTHY2	
gen 	Child3_BirthY	 =	BIRTHY3	
gen 	Child4_BirthY	 =	BIRTHY4	
gen 	Child5_BirthY	 =	BIRTHY5	
gen 	Child6_BirthY	 =	BIRTHY6	
gen 	Child7_BirthY	 =	BIRTHY7	
gen 	Child8_BirthY	 =	BIRTHY8	
keep ID Child1_BirthM Child2_BirthM Child3_BirthM Child4_BirthM Child5_BirthM Child6_BirthM Child7_BirthM Child8_BirthM ///
Child1_BirthY Child2_BirthY Child3_BirthY Child4_BirthY Child5_BirthY Child6_BirthY Child7_BirthY Child8_BirthY
save "grid childrenM.dta", replace

*** father
use "SHP_MP.dta", clear // DOWNLOAD THESE FILES FROM THE OFFICIAL WEBSITE 
gen ID = IDFATH_
keep if ID > -2
keep ID BIRTHM BIRTHY
bys ID: gen ID2 = _n
sort ID
reshape wide BIRTHM BIRTHY, i(ID) j(ID2)
gen 	Child1_BirthM	 =	BIRTHM1	
gen 	Child2_BirthM	 =	BIRTHM2	
gen 	Child3_BirthM	 =	BIRTHM3	
gen 	Child4_BirthM	 =	BIRTHM4	
gen 	Child5_BirthM	 =	BIRTHM5	
gen 	Child6_BirthM	 =	BIRTHM6	
gen 	Child7_BirthM	 =	BIRTHM7	
gen 	Child8_BirthM	 =	BIRTHM8	
gen 	Child1_BirthY	 =	BIRTHY1	
gen 	Child2_BirthY	 =	BIRTHY2	
gen 	Child3_BirthY	 =	BIRTHY3	
gen 	Child4_BirthY	 =	BIRTHY4	
gen 	Child5_BirthY	 =	BIRTHY5	
gen 	Child6_BirthY	 =	BIRTHY6	
gen 	Child7_BirthY	 =	BIRTHY7	
gen 	Child8_BirthY	 =	BIRTHY8	
keep ID Child1_BirthM Child2_BirthM Child3_BirthM Child4_BirthM Child5_BirthM Child6_BirthM Child7_BirthM Child8_BirthM ///
Child1_BirthY Child2_BirthY Child3_BirthY Child4_BirthY Child5_BirthY Child6_BirthY Child7_BirthY Child8_BirthY
save "grid childrenF.dta", replace
